[Solved] Error updating from 6.9 to 6.10/11 on Odroid C2

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
beko
Posts: 8
Joined: Wed Jun 20, 2018 10:27 pm

[Solved] Error updating from 6.9 to 6.10/11 on Odroid C2

Post by beko »

Hi,

when I run dietpi-update (or apt-get update) I get the following error:

W: Failed to fetch http://deb.debian.org/debian-security/d ... /InRelease Unable to find expected entry 'main/binary-arm64/Packages' in Release file (Wrong sources.list entry or malformed file)

E: Some index files failed to download. They have been ignored, or old ones used instead.

Any ideas?

Thank you for your support,

Bernd
lucapascu
Posts: 1
Joined: Sun Jan 28, 2018 3:41 pm

Re: Error updating from 6.9 to 6.10/11 on Odroid C2

Post by lucapascu »

Same problem :(
fcukboi-inc
Posts: 2
Joined: Thu Jul 12, 2018 3:40 am

Re: Error updating from 6.9 to 6.10/11 on Odroid C2

Post by fcukboi-inc »

Same problem here.

Have opened a ticket on github: https://github.com/Fourdee/DietPi/issues/1915
fcukboi-inc
Posts: 2
Joined: Thu Jul 12, 2018 3:40 am

Re: Error updating from 6.9 to 6.10/11 on Odroid C2

Post by fcukboi-inc »

Issue not with Dietpi but with external source, however odd that may be.
Full instructions in github link above.

Try apt-get clean && apt-get update

If that doesn't work you need to remove the following line from /etc/apt/sources.list
deb http://deb.debian.org/debian-security/ jessie/updates main contrib non-free

and then run apt-get update

Code: Select all

DietPi-Software
─────────────────────────────────────────────────────
 Mode: Installation completed

[  OK  ] DietPi-Software | The system will now reboot.
 This completes the DietPi-Software installation.
8)
Post Reply